package com.four.common.duck.communitypatients;

import java.util.Date;

/**
 * 病友圈详情表
 */
public class DetailsPatientCircle {

    /**
     * 病友圈详情id
     */
    private Long detailsPatientCircleId;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布人id
     */
    private Long publisherId;

    /**
     * 病症id
     */
    private Long diseaseId;

    /**
     * 科室id
     */
    private Long departmentId;

    /**
     * 病症详情
     */
    private String detailsSymptoms;

    /**
     * 治疗经历开始时间
     */
    private Date treatmentExperienceStartTime;

    /**
     * 治疗经历结束时间
     */
    private Date treatmentExperienceEndTime;

    /**
     * 治疗经历
     */
    private String treatmentExperience;

    /**
     * 相关图片
     */
    private String relatedPictures;

    /**
     * 提升悬赏额度
     */
    private Long rewardAmount;

    /**
     * 收藏数量
     */
    private Long collectionQuantity;

    /**
     * 评论数量
     */
    private Long numberComments;

    /**
     * 状态1：未采纳，状态2：已采纳
     */
    private Integer detailsPatientCircleStatus;

    /**
     * 创建人
     */
    private String detailsPatientCircleFounder;

    /**
     * 创建时间
     */
    private Date detailsPatientCircleFounderTime;

    /**
     * 修改人
     */
    private String detailsPatientCircleModificator;

    public String getDetailsPatientCircleFounder() {
        return detailsPatientCircleFounder;
    }

    public void setDetailsPatientCircleFounder(String detailsPatientCircleFounder) {
        this.detailsPatientCircleFounder = detailsPatientCircleFounder;
    }

    public Date getDetailsPatientCircleFounderTime() {
        return detailsPatientCircleFounderTime;
    }

    public void setDetailsPatientCircleFounderTime(Date detailsPatientCircleFounderTime) {
        this.detailsPatientCircleFounderTime = detailsPatientCircleFounderTime;
    }

    public String getDetailsPatientCircleModificator() {
        return detailsPatientCircleModificator;
    }

    public void setDetailsPatientCircleModificator(String detailsPatientCircleModificator) {
        this.detailsPatientCircleModificator = detailsPatientCircleModificator;
    }

    public Date getDetailsPatientCircleModificatorTime() {
        return detailsPatientCircleModificatorTime;
    }

    public void setDetailsPatientCircleModificatorTime(Date detailsPatientCircleModificatorTime) {
        this.detailsPatientCircleModificatorTime = detailsPatientCircleModificatorTime;
    }

    /**
     * 修改时间
     */
    private Date detailsPatientCircleModificatorTime;

    public DetailsPatientCircle() {
    }

    public DetailsPatientCircle(Long detailsPatientCircleId, String title, Long publisherId, Long diseaseId, Long departmentId, String detailsSymptoms, Date treatmentExperienceStartTime, Date treatmentExperienceEndTime, String treatmentExperience, String relatedPictures, Long rewardAmount, Long collectionQuantity, Long numberComments) {
        this.detailsPatientCircleId = detailsPatientCircleId;
        this.title = title;
        this.publisherId = publisherId;
        this.diseaseId = diseaseId;
        this.departmentId = departmentId;
        this.detailsSymptoms = detailsSymptoms;
        this.treatmentExperienceStartTime = treatmentExperienceStartTime;
        this.treatmentExperienceEndTime = treatmentExperienceEndTime;
        this.treatmentExperience = treatmentExperience;
        this.relatedPictures = relatedPictures;
        this.rewardAmount = rewardAmount;
        this.collectionQuantity = collectionQuantity;
        this.numberComments = numberComments;
    }

    public Long getDetailsPatientCircleId() {
        return detailsPatientCircleId;
    }

    public void setDetailsPatientCircleId(Long detailsPatientCircleId) {
        this.detailsPatientCircleId = detailsPatientCircleId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getPublisherId() {
        return publisherId;
    }

    public void setPublisherId(Long publisherId) {
        this.publisherId = publisherId;
    }

    public Long getDiseaseId() {
        return diseaseId;
    }

    public void setDiseaseId(Long diseaseId) {
        this.diseaseId = diseaseId;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getDetailsSymptoms() {
        return detailsSymptoms;
    }

    public void setDetailsSymptoms(String detailsSymptoms) {
        this.detailsSymptoms = detailsSymptoms;
    }

    public Date getTreatmentExperienceStartTime() {
        return treatmentExperienceStartTime;
    }

    public void setTreatmentExperienceStartTime(Date treatmentExperienceStartTime) {
        this.treatmentExperienceStartTime = treatmentExperienceStartTime;
    }

    public Date getTreatmentExperienceEndTime() {
        return treatmentExperienceEndTime;
    }

    public void setTreatmentExperienceEndTime(Date treatmentExperienceEndTime) {
        this.treatmentExperienceEndTime = treatmentExperienceEndTime;
    }

    public String getTreatmentExperience() {
        return treatmentExperience;
    }

    public void setTreatmentExperience(String treatmentExperience) {
        this.treatmentExperience = treatmentExperience;
    }

    public String getRelatedPictures() {
        return relatedPictures;
    }

    public void setRelatedPictures(String relatedPictures) {
        this.relatedPictures = relatedPictures;
    }

    public Long getRewardAmount() {
        return rewardAmount;
    }

    public void setRewardAmount(Long rewardAmount) {
        this.rewardAmount = rewardAmount;
    }

    public Long getCollectionQuantity() {
        return collectionQuantity;
    }

    public void setCollectionQuantity(Long collectionQuantity) {
        this.collectionQuantity = collectionQuantity;
    }

    public Long getNumberComments() {
        return numberComments;
    }

    public void setNumberComments(Long numberComments) {
        this.numberComments = numberComments;
    }
    public Integer getDetailsPatientCircleStatus() {
        return detailsPatientCircleStatus;
    }

    public void setDetailsPatientCircleStatus(Integer detailsPatientCircleStatus) {
        this.detailsPatientCircleStatus = detailsPatientCircleStatus;
    }

    @Override
    public String toString() {
        return "DetailsPatientCircle{" +
                "detailsPatientCircleId=" + detailsPatientCircleId +
                ", title='" + title + '\'' +
                ", publisherId=" + publisherId +
                ", diseaseId=" + diseaseId +
                ", departmentId=" + departmentId +
                ", detailsSymptoms='" + detailsSymptoms + '\'' +
                ", treatmentExperienceStartTime=" + treatmentExperienceStartTime +
                ", treatmentExperienceEndTime=" + treatmentExperienceEndTime +
                ", treatmentExperience='" + treatmentExperience + '\'' +
                ", relatedPictures='" + relatedPictures + '\'' +
                ", rewardAmount=" + rewardAmount +
                ", collectionQuantity=" + collectionQuantity +
                ", numberComments=" + numberComments +
                ", detailsPatientCircleStatus=" + detailsPatientCircleStatus +
                ", detailsPatientCircleFounder='" + detailsPatientCircleFounder + '\'' +
                ", detailsPatientCircleFounderTime=" + detailsPatientCircleFounderTime +
                ", detailsPatientCircleModificator='" + detailsPatientCircleModificator + '\'' +
                ", detailsPatientCircleModificatorTime=" + detailsPatientCircleModificatorTime +
                '}';
    }
}
