package com.four.common.duck.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 充值+提现的记录表
 */
public class RechargeWithdrawCash {

    /**
     * 钱包记录id
     */
    private Long rechargeWithdrawCashId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 钱包记录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT-8")
    private Date time;

    /**
     * 钱包记录描述
     */
    private String description;

    /**
     * 金额
     */
    private BigDecimal amount;

    public Long getRechargeWithdrawCashId() {
        return rechargeWithdrawCashId;
    }

    public void setRechargeWithdrawCashId(Long rechargeWithdrawCashId) {
        this.rechargeWithdrawCashId = rechargeWithdrawCashId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public RechargeWithdrawCash() {
    }

    public RechargeWithdrawCash(Long rechargeWithdrawCashId, Long userId, Date time, String description, BigDecimal amount) {
        this.rechargeWithdrawCashId = rechargeWithdrawCashId;
        this.userId = userId;
        this.time = time;
        this.description = description;
        this.amount = amount;
    }
}
