package com.four.common.duck.interrogation;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 医生注册信息表
 */
public class RegistrationInformation {

    /**
     * 医生注册信息id
     */
    private Long registrationInformationId;


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 所属医院
     */
    private String affiliatedHospital;

    /**
     * 医生科室id
     */
    private Long medicalDepartmentId;

    /**
     * 医生职称id
     */
    private Long professionalTitleDoctorId;

    /**
     * 个人简历
     */
    private String personalResume;

    /**
     * 擅长领域
     */
    private String areaExpertise;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 服务患者次数
     */
    private Long numberPatientsServed;

    /**
     * 咨询价格
     */
    private BigDecimal consultingPrice;

    /**
     * 好评人数
     */
    private Long praise;

    /**
     * 审核状态：1：待审核2：审核通过3：已驳回
     */
    private Long registrationInformationExamineStatus;

    /**
     * 医生的状态：1：在线2：离线
     */
    private Long registrationInformationMedicStatus;

    /**
     * 构造函数、getter、setter。。
     */
    public RegistrationInformation() {
    }

    @Override
    public String toString() {
        return "RegistrationInformation{" +
                "registrationInformationId=" + registrationInformationId +
                ", userId=" + userId +
                ", realName='" + realName + '\'' +
                ", affiliatedHospital='" + affiliatedHospital + '\'' +
                ", medicalDepartmentId=" + medicalDepartmentId +
                ", professionalTitleDoctorId=" + professionalTitleDoctorId +
                ", personalResume='" + personalResume + '\'' +
                ", areaExpertise='" + areaExpertise + '\'' +
                ", registrationTime=" + registrationTime +
                ", numberPatientsServed=" + numberPatientsServed +
                ", consultingPrice=" + consultingPrice +
                ", praise=" + praise +
                ", registrationInformationExamineStatus=" + registrationInformationExamineStatus +
                ", registrationInformationMedicStatus=" + registrationInformationMedicStatus +
                '}';
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Long getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Long medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Long getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Long professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public Long getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(Long numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public BigDecimal getConsultingPrice() {
        return consultingPrice;
    }

    public void setConsultingPrice(BigDecimal consultingPrice) {
        this.consultingPrice = consultingPrice;
    }

    public Long getPraise() {
        return praise;
    }

    public void setPraise(Long praise) {
        this.praise = praise;
    }

    public Long getRegistrationInformationExamineStatus() {
        return registrationInformationExamineStatus;
    }

    public void setRegistrationInformationExamineStatus(Long registrationInformationExamineStatus) {
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
    }

    public Long getRegistrationInformationMedicStatus() {
        return registrationInformationMedicStatus;
    }

    public void setRegistrationInformationMedicStatus(Long registrationInformationMedicStatus) {
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }

    public RegistrationInformation(Long registrationInformationId, Long userId, String realName, String affiliatedHospital, Long medicalDepartmentId, Long professionalTitleDoctorId, String personalResume, String areaExpertise, Date registrationTime, Long numberPatientsServed, BigDecimal consultingPrice, Long praise, Long registrationInformationExamineStatus, Long registrationInformationMedicStatus) {
        this.registrationInformationId = registrationInformationId;
        this.userId = userId;
        this.realName = realName;
        this.affiliatedHospital = affiliatedHospital;
        this.medicalDepartmentId = medicalDepartmentId;
        this.professionalTitleDoctorId = professionalTitleDoctorId;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.registrationTime = registrationTime;
        this.numberPatientsServed = numberPatientsServed;
        this.consultingPrice = consultingPrice;
        this.praise = praise;
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }
}
