package com.four.common.duck.my;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author: tongCheng
 * @Package: four-common-duck
 * @ClassName: MyFile
 * @date: 2023-10-24 15:56
 * 我的档案
 **/
public class MyFile {

    /**
     * 我的档案id
     */
    private Long myFileId;

    /**
     * 主要症状
     */
    private String mainSymptoms;

    /**
     * 现病史
     */
    private String presentMedicalHistory;

    /**
     * 既往病史
     */
    private String pastMedicalHistory;

    /**
     * 最后一次治疗经历
     */
    private String treatmentExperienceLast;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-mm-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-mm-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-mm-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-mm-dd HH:mm:ss")
    private Date endTime;

    /**
     * 治疗过程
     */
    private String therapeuticProcess;

    /**
     * 相关图片
     */
    private String relatedPic;

    /**
     * 用户id
     */
    private Long userId;

    private String[] StringBuilder;

    public Long getMyFileId() {
        return myFileId;
    }

    public void setMyFileId(Long myFileId) {
        this.myFileId = myFileId;
    }

    public String getMainSymptoms() {
        return mainSymptoms;
    }

    public void setMainSymptoms(String mainSymptoms) {
        this.mainSymptoms = mainSymptoms;
    }

    public String getPresentMedicalHistory() {
        return presentMedicalHistory;
    }

    public void setPresentMedicalHistory(String presentMedicalHistory) {
        this.presentMedicalHistory = presentMedicalHistory;
    }

    public String getPastMedicalHistory() {
        return pastMedicalHistory;
    }

    public void setPastMedicalHistory(String pastMedicalHistory) {
        this.pastMedicalHistory = pastMedicalHistory;
    }

    public String getTreatmentExperienceLast() {
        return treatmentExperienceLast;
    }

    public void setTreatmentExperienceLast(String treatmentExperienceLast) {
        this.treatmentExperienceLast = treatmentExperienceLast;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getTherapeuticProcess() {
        return therapeuticProcess;
    }

    public void setTherapeuticProcess(String therapeuticProcess) {
        this.therapeuticProcess = therapeuticProcess;
    }

    public String getRelatedPic() {
        return relatedPic;
    }

    public void setRelatedPic(String relatedPic) {
        this.relatedPic = relatedPic;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String[] getStringBuilder() {
        return StringBuilder;
    }

    public void setStringBuilder(String[] stringBuilder) {
        StringBuilder = stringBuilder;
    }

    public MyFile() {
    }

    public MyFile(Long myFileId, String mainSymptoms, String presentMedicalHistory, String pastMedicalHistory, String treatmentExperienceLast, Date startTime, Date endTime, String therapeuticProcess, String relatedPic, Long userId, String[] stringBuilder) {
        this.myFileId = myFileId;
        this.mainSymptoms = mainSymptoms;
        this.presentMedicalHistory = presentMedicalHistory;
        this.pastMedicalHistory = pastMedicalHistory;
        this.treatmentExperienceLast = treatmentExperienceLast;
        this.startTime = startTime;
        this.endTime = endTime;
        this.therapeuticProcess = therapeuticProcess;
        this.relatedPic = relatedPic;
        this.userId = userId;
        StringBuilder = stringBuilder;
    }
}
