package com.four.common.duck.my;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户表
 */
public class User {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 邮箱
     */
    private String userEmail;

    /**
     * 手机号
     */
    private String userPhone;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 性别
     */
    private String userSex;

    /**
     * 体征
     */
    private String userSign;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 绑定微信状态 1：未绑定 2：已绑定
     */
    private Long bindWechatStatus;

    /**
     * 实名认证状态 1：未绑定 2：已绑定
     */
    private Long realNameAuthenticationStatus;

    /**
     * 绑定银行卡状态 1：未绑定 2：已绑定
     */
    private Long bindBankCardStatus;

    /**
     * 余额
     */
    private BigDecimal userMoney;

    /**
     * 邀请码
     */
    private String invitationCode;

    /**
     * 状态1：患者 2：医生
     * @return
     */
    private Long differentialState;

    public Long getDifferentialState() {
        return differentialState;
    }

    public void setDifferentialState(Long differentialState) {
        this.differentialState = differentialState;
    }

    public User(Long userId, String username, String password, String userEmail, String userPhone, String userAvatar, String userSex, String userSign, Date registrationTime, Long bindWechatStatus, Long realNameAuthenticationStatus, Long bindBankCardStatus, BigDecimal userMoney, String invitationCode, Long differentialState) {
        this.userId = userId;
        this.username = username;
        this.password = password;
        this.userEmail = userEmail;
        this.userPhone = userPhone;
        this.userAvatar = userAvatar;
        this.userSex = userSex;
        this.userSign = userSign;
        this.registrationTime = registrationTime;
        this.bindWechatStatus = bindWechatStatus;
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
        this.bindBankCardStatus = bindBankCardStatus;
        this.userMoney = userMoney;
        this.invitationCode = invitationCode;
        this.differentialState = differentialState;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getUserSex() {
        return userSex;
    }

    public void setUserSex(String userSex) {
        this.userSex = userSex;
    }

    public String getUserSign() {
        return userSign;
    }

    public void setUserSign(String userSign) {
        this.userSign = userSign;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public Long getBindWechatStatus() {
        return bindWechatStatus;
    }

    public void setBindWechatStatus(Long bindWechatStatus) {
        this.bindWechatStatus = bindWechatStatus;
    }

    public Long getRealNameAuthenticationStatus() {
        return realNameAuthenticationStatus;
    }

    public void setRealNameAuthenticationStatus(Long realNameAuthenticationStatus) {
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
    }

    public Long getBindBankCardStatus() {
        return bindBankCardStatus;
    }

    public void setBindBankCardStatus(Long bindBankCardStatus) {
        this.bindBankCardStatus = bindBankCardStatus;
    }

    public BigDecimal getUserMoney() {
        return userMoney;
    }

    public void setUserMoney(BigDecimal userMoney) {
        this.userMoney = userMoney;
    }

    public String getInvitationCode() {
        return invitationCode;
    }

    public void setInvitationCode(String invitationCode) {
        this.invitationCode = invitationCode;
    }

    public User() {
    }

    public User(Long userId, String username, String password, String userEmail, String userPhone, String userAvatar, String userSex, String userSign, Date registrationTime, Long bindWechatStatus, Long realNameAuthenticationStatus, Long bindBankCardStatus, BigDecimal userMoney, String invitationCode) {
        this.userId = userId;
        this.username = username;
        this.password = password;
        this.userEmail = userEmail;
        this.userPhone = userPhone;
        this.userAvatar = userAvatar;
        this.userSex = userSex;
        this.userSign = userSign;
        this.registrationTime = registrationTime;
        this.bindWechatStatus = bindWechatStatus;
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
        this.bindBankCardStatus = bindBankCardStatus;
        this.userMoney = userMoney;
        this.invitationCode = invitationCode;
    }
}
