package com.four.common.duck.request;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author: tongCheng
 * @Package: four-common-duck
 * @ClassName: RechargeWithdrawCashRequest
 * @date: 2023-10-20 20:25
 **/
public class RechargeWithdrawCashRequest {
    /**
     * 充值+提现id
     */
    private Long rechargeWithdrawCashId;

    /**
     * 充值+提现用户id
     */
    private Long userId;

    /**
     * 充值+提现金额
     */
    private BigDecimal money;

    /**
     * 充值+提现时间
     */
    private Date time;

    /**
     * 状态：1:提现  2:充值+签到
     */
    private Long status;

    /**
     * 用户的实名认证和银行卡id
     */
    private Long certifiedBankCardId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 绑定微信状态 1：未绑定 2：已绑定
     */
    private Long bindWechatStatus;

    /**
     * 实名认证状态 1：未绑定 2：已绑定
     */
    private Long realNameAuthenticationStatus;

    /**
     * 绑定银行卡状态 1：未绑定 2：已绑定
     */
    private Long bindBankCardStatus;

    /**
     * 余额
     */
    private BigDecimal userMoney;

    /**
     * 身份证号
     */
    private Long idNumber;

    /**
     * 开户行：银行名称
     */
    private String bankName;

    /**
     * 银行卡号
     */
    private String bankCardNumber;

    public Long getRechargeWithdrawCashId() {
        return rechargeWithdrawCashId;
    }

    public void setRechargeWithdrawCashId(Long rechargeWithdrawCashId) {
        this.rechargeWithdrawCashId = rechargeWithdrawCashId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getCertifiedBankCardId() {
        return certifiedBankCardId;
    }

    public void setCertifiedBankCardId(Long certifiedBankCardId) {
        this.certifiedBankCardId = certifiedBankCardId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getBindWechatStatus() {
        return bindWechatStatus;
    }

    public void setBindWechatStatus(Long bindWechatStatus) {
        this.bindWechatStatus = bindWechatStatus;
    }

    public Long getRealNameAuthenticationStatus() {
        return realNameAuthenticationStatus;
    }

    public void setRealNameAuthenticationStatus(Long realNameAuthenticationStatus) {
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
    }

    public Long getBindBankCardStatus() {
        return bindBankCardStatus;
    }

    public void setBindBankCardStatus(Long bindBankCardStatus) {
        this.bindBankCardStatus = bindBankCardStatus;
    }

    public BigDecimal getUserMoney() {
        return userMoney;
    }

    public void setUserMoney(BigDecimal userMoney) {
        this.userMoney = userMoney;
    }

    public Long getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(Long idNumber) {
        this.idNumber = idNumber;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCardNumber() {
        return bankCardNumber;
    }

    public void setBankCardNumber(String bankCardNumber) {
        this.bankCardNumber = bankCardNumber;
    }

    public RechargeWithdrawCashRequest() {
    }

    public RechargeWithdrawCashRequest(Long rechargeWithdrawCashId, Long userId, BigDecimal money, Date time, Long status, Long certifiedBankCardId, String userName, Long bindWechatStatus, Long realNameAuthenticationStatus, Long bindBankCardStatus, BigDecimal userMoney, Long idNumber, String bankName, String bankCardNumber) {
        this.rechargeWithdrawCashId = rechargeWithdrawCashId;
        this.userId = userId;
        this.money = money;
        this.time = time;
        this.status = status;
        this.certifiedBankCardId = certifiedBankCardId;
        this.userName = userName;
        this.bindWechatStatus = bindWechatStatus;
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
        this.bindBankCardStatus = bindBankCardStatus;
        this.userMoney = userMoney;
        this.idNumber = idNumber;
        this.bankName = bankName;
        this.bankCardNumber = bankCardNumber;
    }
}
