package com.four.common.duck.request;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author: tongCheng
 * @Package: four-common-duck
 * @ClassName: RegistrationInformationRequest
 * @date: 2023-10-20 19:17
 * 医生信息+科室名称+职称
 **/
public class RegistrationInformationRequest {
    /**
     * 医生注册信息id
     */
    private Long registrationInformationId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 所属医院
     */
    private String affiliatedHospital;

    /**
     * 医生科室id
     */
    private Long medicalDepartmentId;

    /**
     * 医生职称id
     */
    private Long professionalTitleDoctorId;

    /**
     * 个人简历
     */
    private String personalResume;

    /**
     * 擅长领域
     */
    private String areaExpertise;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 服务患者次数
     */
    private String numberPatientsServed;

    /**
     * 咨询价格
     */
    private BigDecimal consultingPrice;

    /**
     * 好评人数
     */
    private Long praise;

    /**
     * 审核状态：1：待审核2：审核通过3：已驳回
     */
    private Long registrationInformationExamineStatus;

    /**
     * 医生的状态：1：在线2：离线
     */
    private Long registrationInformationMedicStatus;

    /**
     * 名称
     */
    private String name;

    /**
     * 与id关联
     */
    private Long pid;

    /**
     * 医生职称名称
     */
    private String professionalTitleDoctorName;

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Long getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Long medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Long getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Long professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public String getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(String numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public BigDecimal getConsultingPrice() {
        return consultingPrice;
    }

    public void setConsultingPrice(BigDecimal consultingPrice) {
        this.consultingPrice = consultingPrice;
    }

    public Long getPraise() {
        return praise;
    }

    public void setPraise(Long praise) {
        this.praise = praise;
    }

    public Long getRegistrationInformationExamineStatus() {
        return registrationInformationExamineStatus;
    }

    public void setRegistrationInformationExamineStatus(Long registrationInformationExamineStatus) {
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
    }

    public Long getRegistrationInformationMedicStatus() {
        return registrationInformationMedicStatus;
    }

    public void setRegistrationInformationMedicStatus(Long registrationInformationMedicStatus) {
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public String getProfessionalTitleDoctorName() {
        return professionalTitleDoctorName;
    }

    public void setProfessionalTitleDoctorName(String professionalTitleDoctorName) {
        this.professionalTitleDoctorName = professionalTitleDoctorName;
    }

    public RegistrationInformationRequest() {
    }

    public RegistrationInformationRequest(Long registrationInformationId, String realName, String affiliatedHospital, Long medicalDepartmentId, Long professionalTitleDoctorId, String personalResume, String areaExpertise, Date registrationTime, String numberPatientsServed, BigDecimal consultingPrice, Long praise, Long registrationInformationExamineStatus, Long registrationInformationMedicStatus, String name, Long pid, String professionalTitleDoctorName) {
        this.registrationInformationId = registrationInformationId;
        this.realName = realName;
        this.affiliatedHospital = affiliatedHospital;
        this.medicalDepartmentId = medicalDepartmentId;
        this.professionalTitleDoctorId = professionalTitleDoctorId;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.registrationTime = registrationTime;
        this.numberPatientsServed = numberPatientsServed;
        this.consultingPrice = consultingPrice;
        this.praise = praise;
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
        this.name = name;
        this.pid = pid;
        this.professionalTitleDoctorName = professionalTitleDoctorName;
    }
}
