package com.four.common.duck.request;

import com.four.common.duck.communitypatients.DiseaseDetail;
import com.four.common.duck.communitypatients.MedicineDetail;
import com.four.common.duck.communitypatients.SymptomsDrugs;

import java.util.List;

/**
 * @author: tongCheng
 * @Package: four-common-duck
 * @ClassName: SymptomsDrugsRequest
 * @date: 2023-10-31 21:23
 **/
public class SymptomsDrugsRequest {
    /**
     * 常见病症+常见药品id
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 与id关联
     */
    private Long pid;


    private List<SymptomsDrugsRequest> symptomsDrugsRequestList;
    /**
     * 病症详情
     */
    private List<DiseaseDetail> diseaseDetailList;

    /**
     * 药品详情
     */
    private List<MedicineDetail> medicineDetailList;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public List<DiseaseDetail> getDiseaseDetailList() {
        return diseaseDetailList;
    }

    public void setDiseaseDetailList(List<DiseaseDetail> diseaseDetailList) {
        this.diseaseDetailList = diseaseDetailList;
    }

    public List<MedicineDetail> getMedicineDetailList() {
        return medicineDetailList;
    }

    public void setMedicineDetailList(List<MedicineDetail> medicineDetailList) {
        this.medicineDetailList = medicineDetailList;
    }

    public List<SymptomsDrugsRequest> getSymptomsDrugsRequestList() {
        return symptomsDrugsRequestList;
    }

    public void setSymptomsDrugsRequestList(List<SymptomsDrugsRequest> symptomsDrugsRequestList) {
        this.symptomsDrugsRequestList = symptomsDrugsRequestList;
    }

    public SymptomsDrugsRequest() {
    }

    public SymptomsDrugsRequest(Long id, String name, Long pid, List<SymptomsDrugsRequest> symptomsDrugsRequestList, List<DiseaseDetail> diseaseDetailList, List<MedicineDetail> medicineDetailList) {
        this.id = id;
        this.name = name;
        this.pid = pid;
        this.diseaseDetailList = diseaseDetailList;
        this.medicineDetailList = medicineDetailList;
        this.symptomsDrugsRequestList = symptomsDrugsRequestList;
    }
}
