package com.four.common.duck.response;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @program: four-common-duck
 * @author: spc
 * @create: 2023-10-22 20:02
 * @Version 1.0
 **/

@Data
public class DetailsPatientCircleDetailCollection {
    /**
     * 病友圈详情id
     */
    private Long detailsPatientCircleId;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布人id
     */
    private Long publisherId;

    /**
     * 病症id
     */
    private Long diseaseId;

    /**
     * 科室id
     */
    private Long departmentId;

    /**
     * 病症详情
     */
    private String detailsSymptoms;

    /**
     * 治疗经历开始时间
     */
    private Date treatmentExperienceStartTime;

    /**
     * 治疗经历结束时间
     */
    private Date treatmentExperienceEndTime;

    /**
     * 治疗经历
     */
    private String treatmentExperience;

    /**
     * 相关图片
     */
    private String relatedPictures;

    /**
     * 提升悬赏额度
     */
    private Long rewardAmount;

    /**
     * 收藏数量
     */
    private Long collectionQuantity;

    /**
     * 评论数量
     */
    private Long numberComments;
    /**
     * 状态1：未采纳，状态2：已采纳
     */
    private Integer detailsPatientCircleStatus;

    //--------------------------------------------------------
    //--------------------------------------------------------
    //--------------------------------------------------------
    /**
     * 常见病症+常见药品id
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 与id关联
     */
    private Long pid;

    //-----------------------------------------------------------
    //-----------------------------------------------------------
    //-----------------------------------------------------------

    /**
     * 详情表中的收藏id
     */
    private Long detailCollectionId;
    /**
     * 收藏时间
     */
    private Date collectionTime;

    /**
     * 收藏人
     */
    private Long collectorId;

    /**
     * 状态
     */
    private Integer detailCollectionStatus;
    //------------------------------------------------------------
    //------------------------------------------------------------
    //------------------------------------------------------------
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 邮箱
     */
    private String userEmail;

    /**
     * 手机号
     */
    private String userPhone;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 性别
     */
    private String userSex;

    /**
     * 体征
     */
    private String userSign;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 绑定微信状态 1：未绑定 2：已绑定
     */
    private Long bindWechatStatus;

    /**
     * 实名认证状态 1：未绑定 2：已绑定
     */
    private Long realNameAuthenticationStatus;

    /**
     * 绑定银行卡状态 1：未绑定 2：已绑定
     */
    private Long bindBankCardStatus;

    /**
     * 余额
     */
    private BigDecimal userMoney;

    /**
     * 邀请码
     */
    private String invitationCode;

    /**
     * 状态1：患者 2：医生
     * @return
     */
    private Long differentialState;
    //--------------------------------------------
    //--------------------------------------------
    //--------------------------------------------
    /**
     * 点赞和嘲讽id
     */
    private Long likeMockId;

    /**
     * 点赞或嘲讽人id
     */
    private Long likeMockPeopleId;

    /**
     * 点赞时间
     */
    private Date thumbsTime;

    /**
     * 状态1：代表点赞2：代表嘲讽
     */
    private String likeMockStatus;

    /**
     *状态1：点赞 状态2：取消
     * @return
     */
    private Long likeCancellationStatus;
}

