package com.four.common.duck.response;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @program: four-common-duck
 * @author: spc
 * @create: 2023-10-19 16:33
 * @Version 1.0
 **/

@Data
public class DetailsPatientCircleSymptomsDrugs {
    /**
     * 病友圈详情id
     */
    private Long detailsPatientCircleId;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布人id
     */
    private Long publisherId;

    /**
     * 病症id
     */
    private Long diseaseId;

    /**
     * 科室id
     */
    private Long departmentId;

    /**
     * 病症详情
     */
    private String detailsSymptoms;

    /**
     * 治疗经历开始时间
     */
    private Date treatmentExperienceStartTime;

    /**
     * 治疗经历结束时间
     */
    private Date treatmentExperienceEndTime;

    /**
     * 治疗经历
     */
    private String treatmentExperience;

    /**
     * 相关图片
     */
    private String relatedPictures;

    /**
     * 提升悬赏额度
     */
    private Long rewardAmount;

    /**
     * 收藏数量
     */
    private Long collectionQuantity;

    /**
     * 评论数量
     */
    private Long numberComments;
    /**
     * 状态1：未采纳，状态2：已采纳
     */
    private Integer detailsPatientCircleStatus;

    //----------------------------------------------------------
    //----------------------------------------------------------
    //----------------------------------------------------------

    /**
     * 常见病症+常见药品id
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    private String aname;
    private String bname;

    /**
     * 与id关联
     */
    private Long pid;

    /**
     * 照片路径
     */
    private String img;

    //----------------------------------------------------------
    //----------------------------------------------------------
    //----------------------------------------------------------
    //----------------------------------------------------------

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 邮箱
     */
    private String userEmail;

    /**
     * 手机号
     */
    private String userPhone;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 性别
     */
    private String userSex;

    /**
     * 体征
     */
    private String userSign;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 绑定微信状态 1：未绑定 2：已绑定
     */
    private Long bindWechatStatus;

    /**
     * 实名认证状态 1：未绑定 2：已绑定
     */
    private Long realNameAuthenticationStatus;

    /**
     * 绑定银行卡状态 1：未绑定 2：已绑定
     */
    private Long bindBankCardStatus;

    /**
     * 余额
     */
    private BigDecimal userMoney;

    /**
     * 余额
     */
    private String invitationCode;

    //-----------------------------------------
    //-----------------------------------------
    //-----------------------------------------
    /**
     * 详情表中的评论id
     */
    private Long detailedReviewId;


    /**
     * 评论时间
     */
    private Date commentTime;

    /**
     * 评论人id
     */
    private Long reviewerId;

    /**
     * 点赞次数
     */
    private Long numberLikes;

    /**
     * 嘲讽次数
     */
    private Long tauntCount;

    /***
     * 评论内容
     * @return
     */
    private String detailedReviewName;


    /**
     * 状态1：未采纳；状态2：采纳
     */
    private Integer detailedReviewStatus;

    /**
     *创建人
     */
    private String detailedReviewFounder;

    /**
     *创建时间
     */
    private Date detailedReviewFounderTime;

    /**
     * 修改人
     */
    private String detailedReviewModificator;
}

