package com.four.common.duck.response;

import com.four.common.duck.communitypatients.SymptomsDrugs;

import java.math.BigDecimal;
import java.util.Date;

public class ResponseRegistrationInformation {
    /**
     * 医生注册信息id
     */
    private Long registrationInformationId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 所属医院
     */
    private String affiliatedHospital;

    /**
     * 医生科室id
     */
    private Long medicalDepartmentId;

    /**
     * 医生职称id
     */
    private Long professionalTitleDoctorId;

    /**
     * 个人简历
     */
    private String personalResume;

    /**
     * 擅长领域
     */
    private String areaExpertise;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 服务患者次数
     */
    private Integer numberPatientsServed;

    /**
     * 咨询价格
     */
    private BigDecimal consultingPrice;

    /**
     * 好评人数
     */
    private Integer praise;

    /**
     * 审核状态：1：待审核2：审核通过3：已驳回
     */
    private Integer registrationInformationExamineStatus;

    /**
     * 医生的状态：1：在线2：离线
     */
    private Integer registrationInformationMedicStatus;

    /**
     * 科室名称
     */
    private String name;


    /**
     * 医生职称名称
     */
    private String professionalTitleDoctorName;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 构造函数和getter和setter。。
     */
    public ResponseRegistrationInformation() {
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Long getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Long medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Long getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Long professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public BigDecimal getConsultingPrice() {
        return consultingPrice;
    }

    public void setConsultingPrice(BigDecimal consultingPrice) {
        this.consultingPrice = consultingPrice;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(Integer numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public Integer getPraise() {
        return praise;
    }

    public void setPraise(Integer praise) {
        this.praise = praise;
    }

    public Integer getRegistrationInformationExamineStatus() {
        return registrationInformationExamineStatus;
    }

    public void setRegistrationInformationExamineStatus(Integer registrationInformationExamineStatus) {
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
    }

    public Integer getRegistrationInformationMedicStatus() {
        return registrationInformationMedicStatus;
    }

    public void setRegistrationInformationMedicStatus(Integer registrationInformationMedicStatus) {
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }

    public String getProfessionalTitleDoctorName() {
        return professionalTitleDoctorName;
    }

    public void setProfessionalTitleDoctorName(String professionalTitleDoctorName) {
        this.professionalTitleDoctorName = professionalTitleDoctorName;
    }


    public ResponseRegistrationInformation(Long registrationInformationId, Long userId, String realName, String affiliatedHospital, Long medicalDepartmentId, Long professionalTitleDoctorId, String personalResume, String areaExpertise, Date registrationTime, Integer numberPatientsServed, BigDecimal consultingPrice, Integer praise, Integer registrationInformationExamineStatus, Integer registrationInformationMedicStatus, String name, String professionalTitleDoctorName, String username) {
        this.registrationInformationId = registrationInformationId;
        this.userId = userId;
        this.realName = realName;
        this.affiliatedHospital = affiliatedHospital;
        this.medicalDepartmentId = medicalDepartmentId;
        this.professionalTitleDoctorId = professionalTitleDoctorId;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.registrationTime = registrationTime;
        this.numberPatientsServed = numberPatientsServed;
        this.consultingPrice = consultingPrice;
        this.praise = praise;
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
        this.name = name;
        this.professionalTitleDoctorName = professionalTitleDoctorName;
        this.username = username;
    }
}

